"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.splitOnce = void 0;
/** Splits a string by the first instance of a delimiter */

function splitOnce(value, delimiter) {
  const match = value.match(delimiter);
  /* istanbul ignore next */

  return match ? [value.slice(0, match.index), value.slice((match.index || 0) + 1)] : [value];
}

exports.splitOnce = splitOnce;
/** Parses command line arguments and options from process.argv */

function argvParser(argv) {
  const results = {
    options: {},
    args: []
  };
  argv.slice(2).forEach(argument => {
    if (argument.match(/^-/)) {
      const option = argument.replace(/^-+/, '');
      const [name, value] = splitOnce(option, '=');
      results.options[name] = value || true;
    } else {
      results.args.push(argument);
    }
  });
  return results;
}

exports.default = argvParser;
//# sourceMappingURL=argvParser.cjs.map
