/// <reference types="node" />
import fs from 'fs';
import babelDefault, * as babel from '@babel/core';
import glob from 'glob';
import mkdirp from 'mkdirp';
export declare const dependencies: {
    transformFile: typeof babelDefault.transformFileAsync;
    glob: typeof glob.__promisify__;
    chmod: typeof fs.promises.chmod;
    console: Console;
    mkdirp: typeof mkdirp;
    stat: typeof fs.promises.stat;
    writeFile: typeof fs.promises.writeFile;
    unlink: typeof fs.promises.unlink;
};
export declare const components: {
    saveFile: typeof saveFile;
    convertFileExtension: typeof convertFileExtension;
};
/** Returns a source map annotation line */
export declare function sourceMapUrl(filename: string): string;
/** Saves a file, creating its directory if needed */
export declare function saveFile(filePath: string, data: string | Buffer): Promise<void>;
/** Awaits a promise, ignoring missing file errors  */
export declare function ignoreMissingFile(promise: Promise<void>): Promise<void>;
/** Converts a file with its imports and source map to a new extension */
export declare function convertFileExtension(inputFilename: string, inputExtension: string, outputExtension: string, options: babel.TransformOptions): Promise<void>;
/** Converts a directory of files to a new extension */
export default function convertExtension(directory: string, inputExtension: string, outputExtension: string, options?: babel.TransformOptions): Promise<void>;
